version: '3.3'
services:
  db:
    image: postgres
    container_name: shopi_postgres
    ports:
    - 5432:5432
    restart:
      always
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    volumes:
    - /var/lib/postgresql:/var/lib/postgresql
    logging:
      driver: "json-file"
      options:
        max-file: "10"
        max-size: "10m"
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U postgres"]
      interval: 10s
      timeout: 10s
      retries: 3
  app:
    container_name: shopiffy
    image: registry.jborn.tech/021/shopify:latest
#    build: .
    ports:
    - 8021:8080
    restart:
      always
    environment:
      POSTGRES_URL: jdbc:postgresql://db:5432/postgres
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      SERVER_USER: admin
      SERVER_PASSWORD: password
    depends_on:
      - db
    logging:
      driver: "json-file"
      options:
        max-file: "10"
        max-size: "10m"
    healthcheck:
      test: ["CMD", "curl", "-f", "-u", "admin:password", "http://localhost:8080/actuator/health"]
      timeout: 10s
      interval: 10s
      retries: 3

